Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.fdc
Class DMA8Handler

    java.lang.Object
      dioscuri.module.dma.DMA8Handler
          dioscuri.module.fdc.DMA8Handler

    public class DMA8Handler

extends DMA8Handler

Author:
  Bram Lohman, Bart Kiers

Field Summary

Fields inherited from class dioscuri.module.dma.DMA8Handler
`owner`

Constructor Summary
`DMA8Handler(FDC fdc)` Class Constructor

Method Summary
`void` | `dma8ReadFromMem(byte data)` Implementation of the 8-bit DMA read functionality. This provides a way for DMA to pass a byte read from memory (by way of DMA request) to the device for further processing.
`byte` | `dma8WriteToMem()` Implementation of the 8-bit DMA write functionality. This provides a way for DMA to write a byte to memory (by way of DMA request) passed from the device.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DMA8Handler

    public DMA8Handler(FDC fdc)

  Class Constructor

  Parameters:
    `fdc` -

Method Detail

### dma8ReadFromMem

    public void dma8ReadFromMem(byte data)

  Implementation of the 8-bit DMA read functionality.
  This provides a way for DMA to pass a byte read from memory (by way of DMA request) to the device for further processing.

  Specified by:
    `dma8ReadFromMem` in class `DMA8Handler`
  Parameters:
    `data` - Byte from memory that is passed to the device for handling

### dma8WriteToMem

    public byte dma8WriteToMem()

  Implementation of the 8-bit DMA write functionality.
  This provides a way for DMA to write a byte to memory (by way of DMA request) passed from the device.

  Specified by:
    `dma8WriteToMem` in class `DMA8Handler`
  Returns:
    Byte from device that will be written to memory

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD